package fzj.matse.tictactoe;

/**
 * @author zdv058
 * enthält die Daten des quadratischen Spielfeldes
 */
public class PlayingField {
    private int[][] feld;
    private TicTacToeView view;
    private static final int size = 3;
    
    public int size() {return size;}
    public int value(int x, int y) {return feld[x][y];}
    
    public PlayingField(TicTacToeView view) {
    	feld = new int[size][size];
    	this.view = view;
    }
    /**
     * 
     * @param spieler spieler nr 1 oder 2
     * @param x 0-2
     * @param y 0-2
     * @return true, falls der Zug möglich ist
     */
    public boolean macheZug(int spieler, int x, int y) {
    	boolean ok = true;
    	if (x > feld.length || y > feld[0].length || x < 0  || y < 0 || feld[x][y] != 0) {
    		ok = false;
    	}
    	else {
    		feld[x][y] = spieler;
    	}
    	view.updateView();
        return ok;
    }
    
    public boolean hatGewonnen() {
    	return false;
    }
}
